import Easel from './Easel';
import Tween from './Tween';
import Preload from './Preload';
import Sound from './Sound';
import release from '../release';

const status = {
  initialized: true,
  modules: {
    EaselJS: {
      version: Easel.version,
      build: Easel.buildDate,
    },
    TweenJS: {
      version: Tween.version,
      build: Tween.buildDate,
    },
    PreloadJS: {
      version: Preload.version,
      build: Preload.buildDate,
    },
    SoundJS: {
      version: Sound.version,
      build: Sound.buildDate,
    },
  },
  version: release.version,
  build: release.build,
};

console.log('Create JS ES6 initialized', status);

const create = {
  Easel,
  Tween,
  Preload,
  Sound,
  status,
};

export default create;

export {
  Easel,
  Tween,
  Preload,
  Sound,
};
